import { createStore, applyMiddleware } from 'redux';
import thunk from 'redux-thunk';
import rootReducer from '../reducers/root_reducer';

const middlewares = [thunk];
if(process.env.NODE_ENV !== "production") {
    const { createLogger } = require("redux-logger");
    const logger = createLogger();
    middlewares.push(logger);
}
const configureStore = (preloadedState = {}) => (
  createStore(
    rootReducer,
    preloadedState,
    applyMiddleware(...middlewares),
  )
)

export default configureStore;